// *****************************************************************************************************************
// при выполнении запросов к драйверу источником ошибки (errorSource) может быть:
// 0 - неизвестный источник
// 1 - запрос (например, при таймауте)
// 2 - драйвер (это когда result в ответе отличен от 0)
// 3 - программа (это когда что-то не запрограммировно)



процедура unit_KKM_Merc_предупреждениеСообщениеОбОшибкеПослеЗапроса(параметрСписокЗначенийДляПередачиПараметровИрезультатов) // запрос к драйверу Меркурий. 
	// предупреждение("тип значения уровеньФормы_списокЗначенийДляПередачиПараметровИрезультатовHTTP = "+typeAsString(параметрСписокЗначенийДляПередачиПараметровИрезультатов));
	врем_unit_KKM_Merc_errorText=параметрСписокЗначенийДляПередачиПараметровИрезультатов.значениеПолучитьПоПредставлению("errorText");
	врем_unit_KKM_Merc_errorSource=параметрСписокЗначенийДляПередачиПараметровИрезультатов.значениеПолучитьПоПредставлению("errorSource");
	строкаСообщения="Error!!! "+chr(10);
	строкаСообщения=строкаСообщения+"errorSource="+строка(врем_unit_KKM_Merc_errorSource)+chr(10);
	если (2=врем_unit_KKM_Merc_errorSource) тогда
		врем_unit_KKM_Merc_errorCode=параметрСписокЗначенийДляПередачиПараметровИрезультатов.значениеПолучитьПоПредставлению("errorCode");
		строкаСообщения=строкаСообщения+"errorCode="+строка(врем_unit_KKM_Merc_errorCode)+chr(10);
	конецЕсли;
	строкаСообщения=строкаСообщения+"errorText="+строка(врем_unit_KKM_Merc_errorText)+chr(10);
	предупреждение(строкаСообщения);
	параметрСписокЗначенийДляПередачиПараметровИрезультатов.показать();
	возврат 1;
конецПроцедуры; //  unit_KKM_Merc_предупреждениеСообщениеОбОшибкеПослеЗапроса(списокЗначенийДляПередачиПараметровИрезультатов) // запрос к драйверу Меркурий. 





// *****************************************************************************************************************
функция unit_KKM_Merc_запросВыполнить(address, port, jsonString ) // запрос к драйверу Меркурий. 
	// после выполнения функции в параметре передаётся:

	// ПАРАМЕТР ПО ССЫЛКЕ ПОКА НЕ РАБОТАЕТ!!!
	// в лучае  возврата FALSE - текст ошибки HTTP-запроса.
	// в лучае  возврата TRUE - jsonСтрока-ответ от драйвера.

	сообщить("jsonString='"+jsonString+"'");
	


	data = createObject("ValueList");
	data.clear();
	data.valueAdd("application/json;charset=utf-8","contentTypeHeader");

	data.valueAdd(jsonString,"requestText");

//	сообщить("unit_KKM_Merc_запросВыполнить(jsonString) done!!!");
//	возврат ИСТИНА;


	сообщить("unit_KKM_Merc_запросВыполнить() start NetworkRequestExecSync ************************************************************************");

	строкаДляСообщения=jsonString;
	если 255<строкаДлина(строкаДляСообщения) тогда
		строкаДляСообщения=строкаЧастьЛевая(строкаДляСообщения,100)+"...";
	конецЕсли;
	сообщить("unit_KKM_Merc_запросВыполнить() NetworkRequestExecSync SEND json="+строка(jsonString));
	// result=NetworkRequestExecSync("POST","http://127.0.0.1:50010/api.json",data);
	result=NetworkRequestExecSync("POST","http://"+address+":"+port+"/api.json",data);
	// result=NetworkRequestExecSync("POST","http://"+unit_KKM_Merc_address+":"+unit_KKM_Merc_port+"/api.json",data);

	сообщить("NetworkRequestExecSync result="+строка(result));
//	сообщить("Размер списка значений "+строка(data.size()));
	text="";
	если (ИСТИНА=result) тогда
		text=data.ValueGetByPresentation("replyText");

		строкаДляСообщения=text;
		если 255<строкаДлина(строкаДляСообщения) тогда
			строкаДляСообщения=строкаЧастьЛевая(строкаДляСообщения,100)+"...";
		конецЕсли;
		сообщить("unit_KKM_Merc_запросВыполнить() NetworkRequestExecSync replyText="+строкаДляСообщения);
//		resultValueList=parseJson(text);
//		resultValueList.показать();
	иначе
		text=data.ValueGetByPresentation("errorText");
		сообщить("unit_KKM_Merc_запросВыполнить() NetworkRequestExecSync Error!!! errorText="+text);
	конецЕсли;
	jsonString=text;

	возврат result;

конецфункции; 



// *****************************************************************************************************************
функция unit_KKM_Merc_запросВыполнитьДо2010180733(jsonString) // запрос к драйверу Меркурий. 
	data = createObject("ValueList");
	data.clear();
	data.valueAdd("application/json;charset=utf-8","contentTypeHeader");
	data.valueAdd(jsonString,"requestText");


//	сообщить("Тестирование сети. Запрос к драйверу МЕРКУРИЙ");
//	сообщить("Размер списка значений "+строка(data.size()));

	сообщить("start NetworkRequestExecSync ************************************************************************");
	сообщить("NetworkRequestExecSync SEND json="+строка(jsonString));
	result=NetworkRequestExecSync("POST","http://127.0.0.1:50010/api.json",data);
	сообщить("NetworkRequestExecSync result="+строка(result));
//	сообщить("Размер списка значений "+строка(data.size()));
	если (ИСТИНА=result) тогда
		text=data.ValueGetByPresentation("replyText");
		сообщить("NetworkRequestExecSync replyText="+text);
//		resultValueList=parseJson(text);
//		resultValueList.показать();
	иначе
		text=data.ValueGetByPresentation("errorText");
		сообщить("NetworkRequestExecSync Error!!! errorText="+text);
	конецЕсли;

	возврат 1;
конецфункции; 



// *****************************************************************************************************************
функция unit_KKM_Merc_CloseSession(sessionKey) // функция возвращает логическое значение 
	data = createObject("ValueList");
	data.clear();
	data.valueAdd("application/json;charset=utf-8","contentTypeHeader");
	data.valueAdd(unit_KKM_Merc_JsonCommand_CloseSession(sessionKey),"requestText");
	// сообщить("Размер списка значений "+строка(data.size()));




	пока (1=1) цикл
		ОшибкаЕсть=ЛОЖЬ;
		ОшибкаТекст="";

		сообщить("unit_KKM_Merc_CloseSession() *************** попытка закрыть сессию "+строка(sessionKey));
		result=NetworkRequestExecSync("POST","http://127.0.0.1:50010/api.json",data);
		если (ЛОЖЬ=result) тогда
			ОшибкаЕсть=ИСТИНА; ОшибкаТекст=data.ValueGetByPresentation("errorText"); прервать;
		конецЕсли;


		если (ЛОЖЬ=ОшибкаЕсть)тогда
			text=data.ValueGetByPresentation("replyText");
			сообщить(text);
			resultValueList=parseJson(text);
			result=resultValueList.ValueGetByPresentation("result");

			если (ИСТИНА=(0=result)) тогда
				прервать;
			конецЕсли;


			если (ЛОЖЬ=(0=result)) тогда
				ОшибкаЕсть=ИСТИНА; ОшибкаТекст=resultValueList.ValueGetByPresentation("description");
				если ("Канал: Таймаут"=ОшибкаТекст)тогда
					сообщить("Канал: Таймаут");
					ОшибкаЕсть=ЛОЖЬ;
				конецЕсли;
			конецЕсли;
		конецЕсли;

		прервать;


	конецЦикла;

//	сообщить(result);
//	сообщить("Размер списка значений "+строка(data.size()));


	если (ИСТИНА=ОшибкаЕсть)тогда
		сообщить("unit_KKM_Merc_CloseSession() Error!!! "+ОшибкаТекст);
		возврат ЛОЖЬ;
	конецЕсли;

	сообщить("unit_KKM_Merc_CloseSession() Ok. ");
	возврат ИСТИНА;
конецФункции; //  mercOpenSession() // функция возвращает ключ сессии (яsessionKeyя) или пустую строку

// *****************************************************************************************************************
функция unit_KKM_Merc_IsSessionKey(sessionKey) // функция возвращает логическое значение. Проверяет что параметр - корректный ключ
	сообщить(строкаДлина(sessionKey));
	если "Error"=строкаЧастьЛевая(sessionKey,5) тогда возврат (1=0); конецЕсли;
	позицияМинуса=строкаЧастьНайти(sessionKey,"-");
	если 1>позицияМинуса тогда возврат (1=0); конецЕсли;
	частьДоМиинуса=строкаЧастьЛевая(sessionKey,позицияМинуса-1);
	если число(частьДоМиинуса)<=0 тогда возврат (1=0); конецЕсли;

	возврат (1=1); 
конецФункции;


// *****************************************************************************************************************
функция unit_KKM_Merc_GetDriverInfo(параметрАдрес, параметрПорт, sessionKey,списокЗначенийДляПередачиПараметровИрезультатов) // функция истина, если считывание прошлобез ошибок
	списокЗначенийДляПередачиПараметровИрезультатов.clear();
	списокЗначенийДляПередачиПараметровИрезультатов.valueAdd("application/json;charset=utf-8","contentTypeHeader");
	списокЗначенийДляПередачиПараметровИрезультатов.valueAdd(unit_KKM_Merc_JsonCommand_GetCommonInfo(sessionKey),"requestText");

	result=NetworkRequestExecSync("POST","http://"+параметрАдрес+":"+параметрПорт+"/api.json",списокЗначенийДляПередачиПараметровИрезультатов);

	unit_KKM_Merc_GetDriverInfo_ЕстьОшибка=(1=0);

	если (ЛОЖЬ=result) тогда		
		списокЗначенийДляПередачиПараметровИрезультатов.ValueSetByPresentation(1,"errorSource");
		text=списокЗначенийДляПередачиПараметровИрезультатов.ValueGetByPresentation("errorText");
		unit_KKM_Merc_GetDriverInfo_ЕстьОшибка=(1=1);
	конецЕсли;

	// ответ от драйвера получен ********************
	text=списокЗначенийДляПередачиПараметровИрезультатов.значениеПолучитьПоПредставлению("replyText");


	если (0=строкаДлина(text)) тогда
		списокЗначенийДляПередачиПараметровИрезультатов.ValueSetByPresentation(1,"errorSource");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению("HTTP-запрос вернул пустую строку. Проверьте запрос.","errorText");
		unit_KKM_Merc_GetDriverInfo_ЕстьОшибка=(1=1);
	конецЕсли;

	// предупреждение(text);
	
	resultValueList=parseJson(text);
	result=resultValueList.значениеПолучитьПоПредставлению("result");
//	предупреждение(строка(result));
//	предупреждение(строка(0<>result));
	если (0<>result)  тогда
		text=resultValueList.ValueGetByPresentation("description");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению(2,"errorSource");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению(text,"errorText");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению(result,"errorCode");
		unit_KKM_Merc_GetDriverInfo_ЕстьОшибка=(1=1);
	конецЕсли;

	
	// списокЗначенийДляПередачиПараметровИрезультатов.показать();
	возврат ЛОЖЬ=unit_KKM_Merc_GetDriverInfo_ЕстьОшибка;

конецФункции; // unit_KKM_Merc_GetDriverInfo(sessionKey,списокЗначенийДляПередачиПараметровИрезультатов) // функция истина, если считывание прошлобез ошибок


// *****************************************************************************************************************
функция unit_KKM_Merc_запросВыполнитьРезультатыПолучить(address, port, jsonString,списокЗначенийДляПередачиПараметровИрезультатов) // запрос к драйверу Меркурий. 
	// возвращает логическое значение

	// сообщить("unit_KKM_Merc_запросВыполнитьРезультатыПолучить() jsonString="+jsonString);


	списокЗначенийДляПередачиПараметровИрезультатов.clear();
	списокЗначенийДляПередачиПараметровИрезультатов.valueAdd("application/json;charset=utf-8","contentTypeHeader");
//	сообщить("unit_KKM_Merc_запросВыполнитьРезультатыПолучить() строка(строкаДлина(jsonString)="+строка(строкаДлина(jsonString)));
	списокЗначенийДляПередачиПараметровИрезультатов.valueAdd(строка(2*строкаДлина(jsonString)),"contentLengthHeader");

	списокЗначенийДляПередачиПараметровИрезультатов.valueAdd(jsonString,"requestText");
	// сообщить("Размер списка значений "+строка(data.size()));
	result=NetworkRequestExecSync("POST","http://"+address+":"+port+"/api.json",списокЗначенийДляПередачиПараметровИрезультатов);
	// списокЗначенийДляПередачиПараметровИрезультатов.показать();

	если (ЛОЖЬ=result) тогда		
		списокЗначенийДляПередачиПараметровИрезультатов.ValueSetByPresentation(1,"errorSource");
		// text=списокЗначенийДляПередачиПараметровИрезультатов.ValueGetByPresentation("errorText");
		// сообщить(ErrorWord+" "+text);
		возврат  (1=0);
	конецЕсли;

	// ответ от драйвера получен ********************
	text=списокЗначенийДляПередачиПараметровИрезультатов.значениеПолучитьПоПредставлению("replyText");

	если (0=строкаДлина(text)) тогда
		списокЗначенийДляПередачиПараметровИрезультатов.ValueSetByPresentation(1,"errorSource");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению("HTTP-запрос вернул пустую строку. Проверьте запрос.","errorText");
		возврат  (1=0);
	конецЕсли;

	// предупреждение(text);
	
	resultValueList=parseJson(text);
	result=resultValueList.значениеПолучитьПоПредставлению("result");
//	предупреждение(строка(result));
//	предупреждение(строка(0<>result));
	если (0<>result)  тогда
		text=resultValueList.ValueGetByPresentation("description");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению(2,"errorSource");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению(text,"errorText");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению(result,"errorCode");
		возврат  (1=0);
	конецЕсли;

	возврат  (1=1);


конецФункции; // unit_KKM_Merc_запросВыполнитьРезультатыПолучить() // запрос к драйверу Меркурий. 

// *****************************************************************************************************************
функция unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply(параметрАдрес, параметрПорт, параметрСОМпортИмя, списокЗначенийДляПередачиПараметровИрезультатов) // функция возвращает ключ сессии (sessionKeyя) или пустую строку
	// мало открыть сессию. Необходимо убедиться, что ККМ находится в режиме ФР и доступно для работы


//	сообщить("1. unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply() "+"");

	jsonCommand=unit_KKM_Merc_JsonCommand_OpenSession(параметрСОМпортИмя);
	если ЛОЖЬ=unit_KKM_Merc_запросВыполнитьРезультатыПолучить(параметрАдрес, параметрПорт, jsonCommand, списокЗначенийДляПередачиПараметровИрезультатов) тогда
		возврат  "";
	конецЕсли;


//	сообщить("2. unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply() "+"");


	// ответ от драйвера получен ********************
	text=списокЗначенийДляПередачиПараметровИрезультатов.значениеПолучитьПоПредставлению("replyText");
	resultValueList=parseJson(text);
	sessionKey=resultValueList.значениеПолучитьПоПредставлению("sessionKey");

//	сообщить("3. unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply() "+"");


	если "СТРОКА"<>значениеТипПолучитьКакСтрока(sessionKey) тогда
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению(4,"errorSource");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению("Неопределённая ошибка","errorText");
		возврат  "";
	конецЕсли;


//	сообщить("4. unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply() "+"");


	// на этом этапе сессия открыта и проверяем доступность режима ФР ********************************************************************************
	// возврат sessionKey;


	unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply_НетОшибок=unit_KKM_Merc_GetDriverInfo(параметрАдрес, параметрПорт, sessionKey,списокЗначенийДляПередачиПараметровИрезультатов);

	// возврат ""; // ****************************************************************************************************

	сообщить("5. unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply() unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply_НетОшибок=["+строка(unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply_НетОшибок)+"]");


	// предупреждение("unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply_НетОшибок="+строка(unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply_НетОшибок));
	если (ЛОЖЬ=unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply_НетОшибок) тогда	
		// списокЗначенийДляПередачиПараметровИрезультатов.показать();
		unit_KKM_Merc_запросВыполнить(параметрАдрес, параметрПорт, unit_KKM_Merc_JsonCommand_CloseSession(sessionKey));
		sessionKey="";
	конецЕсли;


	сообщить("6. unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply() sessionKey="+sessionKey+"");
	возврат sessionKey;



конецФункции; //  unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply() // функция возвращает ключ сессии (sessionKeyя) или пустую строку


// *****************************************************************************************************************
функция u1nit_KKM_Merc_OpenSessionEndTestFrRegimWithReply(списокЗначенийДляПередачиПараметровИрезультатов) 
	// функция возвращает ключ сессии (sessionKeyя) или пустую строку
	// мало открыть сессию. Необходимо убедиться, что ККМ находится в режиме ФР и доступно для работы


	списокЗначенийДляПередачиПараметровИрезультатов.clear();
	списокЗначенийДляПередачиПараметровИрезультатов.valueAdd("application/json;charset=utf-8","contentTypeHeader");
	списокЗначенийДляПередачиПараметровИрезультатов.valueAdd(unit_KKM_Merc_JsonCommand_OpenSession(unit_KKM_комПортИмя),"requestText");
	// сообщить("Размер списка значений "+строка(data.size()));
	result=NetworkRequestExecSync("POST","http://127.0.0.1:50010/api.json",списокЗначенийДляПередачиПараметровИрезультатов);
	// списокЗначенийДляПередачиПараметровИрезультатов.показать();

	если (ЛОЖЬ=result) тогда		
		списокЗначенийДляПередачиПараметровИрезультатов.ValueSetByPresentation(1,"errorSource");
		text=списокЗначенийДляПередачиПараметровИрезультатов.ValueGetByPresentation("errorText");
		// сообщить(ErrorWord+" "+text);
		возврат  "";
	конецЕсли;

	// ответ от драйвера получен ********************
	text=списокЗначенийДляПередачиПараметровИрезультатов.значениеПолучитьПоПредставлению("replyText");

	если (0=строкаДлина(text)) тогда
		списокЗначенийДляПередачиПараметровИрезультатов.ValueSetByPresentation(1,"errorSource");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению("HTTP-запрос вернул пустую строку. Проверьте запрос.","errorText");
		возврат  "";
	конецЕсли;

	// предупреждение(text);
	
	resultValueList=parseJson(text);
	result=resultValueList.значениеПолучитьПоПредставлению("result");
//	предупреждение(строка(result));
//	предупреждение(строка(0<>result));
	если (0<>result)  тогда
		text=resultValueList.ValueGetByPresentation("description");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению(2,"errorSource");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению(text,"errorText");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению(result,"errorCode");
		возврат  "";
	конецЕсли;


	// resultValueList.показать();
	sessionKey=resultValueList.значениеПолучитьПоПредставлению("sessionKey");
	если "СТРОКА"<>значениеТипПолучитьКакСтрока(sessionKey) тогда
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению(4,"errorSource");
		списокЗначенийДляПередачиПараметровИрезультатов.значениеУстановитьПоПредставлению("Неопределённая ошибка","errorText");
		возврат  "";
	конецЕсли;




	// на этом этапе сессия открыта и проверяем доступность режима ФР ********************************************************************************
	// возврат sessionKey;

	unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply_НетОшибок=unit_KKM_Merc_GetDriverInfo(параметрАдрес, параметрПорт, sessionKey,списокЗначенийДляПередачиПараметровИрезультатов);


	// предупреждение("unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply_НетОшибок="+строка(unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply_НетОшибок));
	если (ЛОЖЬ=unit_KKM_Merc_OpenSessionEndTestFrRegimWithReply_НетОшибок) тогда	
		// списокЗначенийДляПередачиПараметровИрезультатов.показать();
		unit_KKM_Merc_запросВыполнить(unit_KKM_Merc_JsonCommand_CloseSession(sessionKey));
		sessionKey="";
	конецЕсли;
	возврат sessionKey;

конецФункции; //  unit_KKM_Merc_OpenSessionWithReply(списокЗначений) // функция возвращает ключ сессии (sessionKeyя) или пустую строку


// *****************************************************************************************************************
функция unit_KKM_Merc_OpenSession(параметрАдрес, параметрПорт, параметрСОМпортИмя) // функция возвращает ключ сессии (sessionKeyя) или пустую строку
	// ErrorWord="Error!!!";
	data = createObject("ValueList");
	data.clear();
	data.valueAdd("application/json;charset=utf-8","contentTypeHeader");
	// предупреждение("unit_KKM_Merc_OpenSession() СОМпортИмя=["+строка(СОМпортИмя)+"]");
	jsonCommand=unit_KKM_Merc_JsonCommand_OpenSession(параметрСОМпортИмя);
	предупреждение("unit_KKM_Merc_OpenSession() jsonCommand=["+строка(jsonCommand)+"]");
	data.valueAdd(jsonCommand,"requestText");
	// сообщить("Размер списка значений "+строка(data.size()));

//	result=NetworkRequestExecSync("POST","http://127.0.0.1:50010/api.json",data);
	строкаАдрес="http://"+параметрАдрес+":"+параметрПорт+"/api.json";	
	result=NetworkRequestExecSync("POST",строкаАдрес,data);
	предупреждение("unit_KKM_Merc_OpenSession()"+символ(10)+"строкаАдрес=["+строкаАдрес+"]");
	предупреждение("unit_KKM_Merc_OpenSession()"+символ(10)+" result=["+строка(result)+"]");


//	сообщить(result);
//	сообщить("Размер списка значений "+строка(data.size()));


	sessionKey="";
	если (ИСТИНА=result) тогда
		text=data.ValueGetByPresentation("replyText");
		сообщить(text);
		resultValueList=parseJson(text);
		// resultValueList.показать();
		sessionKey=resultValueList.ValueGetByPresentation("sessionKey");
		если "СТРОКА"<>значениеТипПолучитьКакСтрока(sessionKey) тогда
			sessionKey=ErrorWord+" "+text;
		конецЕсли;
	иначе
		text=data.ValueGetByPresentation("errorText");
		сообщить(ErrorWord+" "+text);
	конецЕсли;

	предупреждение("unit_KKM_Merc_OpenSession() sessionKey=["+строка(sessionKey)+"]");


	возврат sessionKey;
конецФункции; //  mercOpenSession() // функция возвращает ключ сессии (яsessionKeyя) или пустую строку


// *****************************************************************************************************************
функция unit_KKM_Merc_JsonCommand_CloseSession(sessionKey) 
	возврат '{"sessionKey":"'+sessionKey+'","command":"CloseSession"}';
конецФункции; //  mercJsonCommand_GetDriverInfo() 


// *****************************************************************************************************************
функция unit_KKM_Merc_JsonCommand_ConvertBaseToBin(JsonTovarArray) 
	JsonTovarArray=строкаСокрЛП(JsonTovarArray);
	если 0=строкаДлина(JsonTovarArray) тогда
		JsonTovarArray="[]";
	конецЕсли;
	возврат '{"command":"ConvertBaseToBin","baseVer":"0.2","base":'+JsonTovarArray+'}';
конецФункции; //  unit_KKM_Merc_JsonCommand_ConvertBaseToBin



// *****************************************************************************************************************
функция unit_KKM_Merc_JsonCommand_GetCommonInfo(sessionKey) 
	возврат '{"sessionKey":"'+sessionKey+'","command":"GetCommonInfo"}';
конецФункции; 
// *****************************************************************************************************************
функция unit_KKM_Merc_JsonCommand_GetDriverInfo() 
	возврат '{"command":"GetDriverInfo"}';
конецФункции; //  mercJsonCommand_GetDriverInfo() 
// *****************************************************************************************************************
функция unit_KKM_Merc_JsonCommand_GetGoodsBase(sessionKey) 
	возврат '{"sessionKey":"'+sessionKey+'","command":"GetGoodsBase"}';
конецФункции; //  mercJsonCommand_GetDriverInfo() 


// *****************************************************************************************************************
функция unit_KKM_Merc_JsonCommand_GetProgress(sessionKey) 
	возврат '{"sessionKey":"'+sessionKey+'","command":"GetProgress"}';
конецФункции; 
// *****************************************************************************************************************
функция unit_KKM_Merc_JsonCommand_GetStatus(sessionKey) 
	возврат '{"sessionKey":"'+sessionKey+'","command":"GetStatus"}';
конецФункции; 


// *****************************************************************************************************************
функция unit_KKM_Merc_JsonCommand_OpenSession(COMportName) 
    requestString = "";
    requestString = requestString+'{';
    requestString = requestString+'"sessionKey": null';
    requestString = requestString+",";
    requestString = requestString+'"command" : "OpenSession"';
    requestString = requestString+",";
    requestString = requestString+'"userNumber" : 1';
    requestString = requestString+",";
    requestString = requestString+'"userPassword" : "1"';
    requestString = requestString+",";
//    requestString = requestString+'"portName" : "COM3"';
//    requestString = requestString+'"portName" : "ttyACM0"';
    requestString = requestString+'"portName" : "'+COMportName+'"';
    requestString = requestString+",";
    requestString = requestString+'"baudRate" : 9600';
    requestString = requestString+",";
    requestString = requestString+'"model" : "185F"';
    requestString = requestString+",";
//    requestString = requestString+'"serialNumber" : "12345678"';
   	requestString = requestString+'"serialNumber" : "00131671"'; // Яблочкова
    requestString = requestString+",";
    requestString = requestString+'"debug" : true';
    requestString = requestString+",";
	// requestString = requestString+'"logPath" : "E:\\"';
    // requestString = requestString+'"logPath" : "E:\u005C"';
    // requestString = requestString+'"logPath" : "E:\u005cWork\u005cWorkPRG\u005cKKM\u005cMercLog\u005c"';
    requestString = requestString+'"logPath" : ""';
    // requestString = requestString+'"logPath" : "E:\\Work\\WorkPRG\\KKM\\MercLog\\"';
    requestString = requestString+"} ";

//
//	сообщить("unit_KKM_Merc_JsonCommand_OpenSession() requestString="+requestString );
//	requestStringValueList=parseJson(requestString );
//	requestStringValueList.show();

	возврат requestString ;
конецФункции; //  mercJsonCommand_GetDriverInfo() 


// *****************************************************************************************************************
функция unit_KKM_Merc_JsonCommand_PrintText(sessionKey,textВформатеДляJson) 
	// сообщить( '{"sessionKey":"'+sessionKey+'","command":"PrintText","text":"'+textВформатеДляJson+'"}' );
	возврат '{"sessionKey":"'+sessionKey+'","command":"PrintText","text":"'+textВформатеДляJson+'"}';
конецФункции; //  mercJsonCommand_GetDriverInfo() 


// *****************************************************************************************************************
функция unit_KKM_Merc_JsonCommand_ReadGoodsBase(sessionKey) 
	возврат '{"sessionKey":"'+sessionKey+'","command":"ReadGoodsBase"}';
конецФункции; //  mercJsonCommand_GetDriverInfo() 



// *****************************************************************************************************************
функция unit_KKM_Merc_JsonCommand_WriteGoodsBase(sessionKey,JsonTovarArray) 
	JsonTovarArray=строкаСокрЛП(JsonTovarArray);
	если 0=строкаДлина(JsonTovarArray) тогда
		JsonTovarArray="[]";
	конецЕсли;

//    JsonTovarArray = "[";

//    JsonTovarArray = JsonTovarArray+'{"code": 139,"price": 23500,"name": "Бумага Svetocopy"} '; JsonTovarArray = JsonTovarArray+",";
//    JsonTovarArray = JsonTovarArray+'{"code": 140,"price": 23500,"name": "1 Бумага Svetocopy"} '; JsonTovarArray = JsonTovarArray+",";
//    JsonTovarArray = JsonTovarArray+'{"code": 141,"price": 23500,"name": "2 Бумага Svetocopy"} '; JsonTovarArray = JsonTovarArray+",";
//    JsonTovarArray = JsonTovarArray+'{"code": 142,"price": 23500,"name": "3 Бумага Svetocopy"} '; JsonTovarArray = JsonTovarArray+",";
//    JsonTovarArray = JsonTovarArray+'{"code": 160,"price": 150,"name": "201012-1Файл прозрачный А4 (до 50мкм)"} '; JsonTovarArray = JsonTovarArray+",";
//    JsonTovarArray = JsonTovarArray+'{"code": 8006,"price": 200,"name": "201012-1Файл прозрачный А5 вертикальный"} ';
//
//    JsonTovarArray = JsonTovarArray+"] ";

	возврат '{"sessionKey":"'+sessionKey+'","command":"WriteGoodsBase","base":'+JsonTovarArray+'}';
конецФункции; //  mercJsonCommand_GetDriverInfo() 


// unit_KKM_Merc_address="95.215.148.114";
// unit_KKM_Merc_port="50012";
unit_KKM_Merc_address="127.0.0.1";
unit_KKM_Merc_port="50010";
unit_KKM_COMportName="COM3";

возврат 1;