функция тест1() // запрос к драйверу АТОЛ
	data = createObject("ValueList");
	data.clear();

	сообщить("Тестирование сети. Запрос к драйверу АТОЛ");
	сообщить("Размер списка значений "+строка(data.size()));
	result=NetworkRequestExecSync("GET","http://127.0.0.1:16732/api/v2/devices",data);
	сообщить(result);
	сообщить("Размер списка значений "+строка(data.size()));
	если (ИСТИНА=result) тогда
		text=data.ValueGetByPresentation("replyText");
		сообщить(text);
		resultValueList=parseJson(text);
		resultValueList.показать();
	иначе
		text=data.ValueGetByPresentation("errorText");
		сообщить("Error!!! "+text);
	конецЕсли;

конецфункции; // тест1()


// *****************************************************************************************************************
функция тест2() // запрос к драйверу Меркурий
	data = createObject("ValueList");
	data.clear();
	data.valueAdd("application/json;charset=utf-8","contentTypeHeader");
	data.valueAdd('{"command":"G1etDriverInfo"}',"requestText");


	сообщить("Тестирование сети. Запрос к драйверу МЕРКУРИЙ");
	сообщить("Размер списка значений "+строка(data.size()));
	result=NetworkRequestExecSync("POST","http://127.0.0.1:50010/api.json",data);
	сообщить(result);
	сообщить("Размер списка значений "+строка(data.size()));
	если (ИСТИНА=result) тогда
		text=data.ValueGetByPresentation("replyText");
		сообщить(text);
		resultValueList=parseJson(text);
		resultValueList.показать();
	иначе
		text=data.ValueGetByPresentation("errorText");
		сообщить("Error!!! "+text);
	конецЕсли;

конецфункции; // тест2()



тест1();
сообщить("Второй проход");
тест2();
